package com.platform.plugs.live.responseEntity;

import com.aliyuncs.live.model.v20161101.DescribeLiveRecordVodConfigsResponse;
import lombok.Data;

/**
 * @Author TONG
 * @Date 2019/4/1 11:54
 **/
@Data
public class LiveRecordVodConfig {
    /** 创建时间*/
    private String createTime;
    /**  流所属加速域名*/
    private String domainName;
    /** 流所属应用名称*/
    private String appName;
    /** 直播流名称*/
    private String streamName;
    /** 点播转码组模板ID*/
    private String vodTranscodeGroupId;
    /** 周期录制时长*/
    private Integer cycleDuration;
    /** */
    private String autoCompose;
    /** */
    private String composeVodTranscodeGroupId;

    public static LiveRecordVodConfig parse(DescribeLiveRecordVodConfigsResponse.LiveRecordVodConfig data) {
        LiveRecordVodConfig liveRecordVodConfig = new LiveRecordVodConfig();
        liveRecordVodConfig.setCreateTime(data.getCreateTime());
        liveRecordVodConfig.setDomainName(data.getDomainName());
        liveRecordVodConfig.setAppName(data.getAppName());
        liveRecordVodConfig.setStreamName(data.getStreamName());
        liveRecordVodConfig.setVodTranscodeGroupId(data.getVodTranscodeGroupId());
        liveRecordVodConfig.setCycleDuration(data.getCycleDuration());
        liveRecordVodConfig.setAutoCompose(data.getAutoCompose());
        liveRecordVodConfig.setComposeVodTranscodeGroupId(data.getComposeVodTranscodeGroupId());
        return liveRecordVodConfig;
    }
}
